# I3DShSoundtrack Struct Reference

Inheritance diagram for I3DShSoundtrack:

List of all members.

## Public Member Functions
virtual uint32 MCCOMAPI | AddChannel ()=0
virtual uint32 MCCOMAPI | AddChannel (uint32 channel)=0
virtual void MCCOMAPI | RemoveChannel (uint32 channel)=0
virtual int32 MCCOMAPI | AddSound (IShSound *inSound, MicroTick insertTime, uint32 insertChannel)=0
virtual int32 MCCOMAPI | RemoveSound (IShSound *inSound)=0
virtual void MCCOMAPI | MoveSound (uint32 index, MicroTick newTime, uint32 newChannel)=0
virtual void MCCOMAPI | MoveSoundByID (uint32 ID, MicroTick newTime, uint32 newChannel)=0
virtual void MCCOMAPI | MoveSoundByID (uint32 ID, MicroTick deltaT)=0
virtual void MCCOMAPI | MoveSound (uint32 index, MicroTick deltaT)=0
virtual IShSound *MCCOMAPI | GetSoundByIndex (int32 index)=0
virtual IShSound *MCCOMAPI | GetSoundByID (uint32 ID)=0
virtual MicroTick MCCOMAPI | GetSoundStartByIndex (int32 index)=0
virtual MicroTick MCCOMAPI | GetSoundStartByID (uint32 ID)=0
virtual IShSound *MCCOMAPI | GetSoundByTime (MicroTick time, uint32 channel)=0
virtual uint32 MCCOMAPI | GetSoundCount ()=0
virtual uint32 MCCOMAPI | GetChannelCount () const =0
virtual uint32 MCCOMAPI | GetChannelBySoundIndex (int32 index)=0
virtual uint32 MCCOMAPI | GetChannelByID (uint32 ID)=0
virtual boolean MCCOMAPI | IntersectsOtherSound (uint32 ID, uint32 channel, MicroTick startTime)=0
virtual void MCCOMAPI | BeginPlayback (MicroTick inTime, real32 rate)=0
virtual void MCCOMAPI | EndPlayback ()=0
virtual void MCCOMAPI | AdjustPlayback (MicroTick inTime, real32 rate)=0
virtual MicroTick MCCOMAPI | GetSoundCursorByIndex (int32 index)=0
virtual void MCCOMAPI | SetSoundCursorByIndex (int32 index, MicroTick inCursor)=0
virtual MicroTick MCCOMAPI | GetSoundDurationByIndex (int32 index)=0
virtual void MCCOMAPI | PlaySounds ()=0
virtual void MCCOMAPI | StopSounds ()=0
virtual void MCCOMAPI | SetChannelStared (uint32 channel, boolean isStared)=0
virtual uint32 MCCOMAPI | GetStaredChannelsCount () const =0
virtual boolean MCCOMAPI | IsChannelStared (uint32 channel) const =0
virtual int32 MCCOMAPI | GetStaredChannelIDAtIndex (uint32 index) const =0
virtual boolean MCCOMAPI | GetHasSoundWithText () const =0
virtual boolean MCCOMAPI | GetHasStaredSoundWithText () const =0
virtual void MCCOMAPI | SetScene (I3DShScene *scene)=0
virtual int32 MCCOMAPI | GetSoundIndexByTime (MicroTick time, int32 channel)=0
virtual void MCCOMAPI | SetChannelMuted (uint32 channelID, boolean isMuted)=0
virtual boolean MCCOMAPI | IsChannelMuted (uint32 channelID) const =0
virtual const TMCArray< uint32 > &MCCOMAPI | GetMutedChannelList () const =0
virtual void MCCOMAPI | SetMutedChannelList (const TMCArray< uint32 > &newList)=0
virtual boolean MCCOMAPI | GetLoop ()=0
virtual void MCCOMAPI | SetLoop (boolean isLoop)=0
virtual void MCCOMAPI | Reset ()=0

## Member Function Documentation

virtual uint32 MCCOMAPI I3DShSoundtrack::AddChannel | ( | uint32 | channel | ) | `[pure virtual]`

virtual uint32 MCCOMAPI I3DShSoundtrack::AddChannel | ( |  | ) | `[pure virtual]`

virtual int32 MCCOMAPI I3DShSoundtrack::AddSound | ( | IShSound * | inSound,
|  | MicroTick | insertTime,
|  | uint32 | insertChannel |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::AdjustPlayback | ( | MicroTick | inTime,
|  | real32 | rate |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::BeginPlayback | ( | MicroTick | inTime,
|  | real32 | rate |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::EndPlayback | ( |  | ) | `[pure virtual]`

virtual uint32 MCCOMAPI I3DShSoundtrack::GetChannelByID | ( | uint32 | ID | ) | `[pure virtual]`

virtual uint32 MCCOMAPI I3DShSoundtrack::GetChannelBySoundIndex | ( | int32 | index | ) | `[pure virtual]`

virtual uint32 MCCOMAPI I3DShSoundtrack::GetChannelCount | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI I3DShSoundtrack::GetHasSoundWithText | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI I3DShSoundtrack::GetHasStaredSoundWithText | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI I3DShSoundtrack::GetLoop | ( |  | ) | `[pure virtual]`

virtual const TMCArray<uint32>& MCCOMAPI I3DShSoundtrack::GetMutedChannelList | ( |  | ) | const`[pure virtual]`

virtual IShSound* MCCOMAPI I3DShSoundtrack::GetSoundByID | ( | uint32 | ID | ) | `[pure virtual]`

virtual IShSound* MCCOMAPI I3DShSoundtrack::GetSoundByIndex | ( | int32 | index | ) | `[pure virtual]`

virtual IShSound* MCCOMAPI I3DShSoundtrack::GetSoundByTime | ( | MicroTick | time,
|  | uint32 | channel |
| ) |  |  | `[pure virtual]`

virtual uint32 MCCOMAPI I3DShSoundtrack::GetSoundCount | ( |  | ) | `[pure virtual]`

virtual MicroTick MCCOMAPI I3DShSoundtrack::GetSoundCursorByIndex | ( | int32 | index | ) | `[pure virtual]`

Gets the time of the sound's playback cursor.

Parameters:

  | index | Index of the sound whose playback cursor we want.

virtual MicroTick MCCOMAPI I3DShSoundtrack::GetSoundDurationByIndex | ( | int32 | index | ) | `[pure virtual]`

virtual int32 MCCOMAPI I3DShSoundtrack::GetSoundIndexByTime | ( | MicroTick | time,
|  | int32 | channel |
| ) |  |  | `[pure virtual]`

Returns the index of the sound in a given time for a given channel

Parameters:

  | time | Time at which to look for the Sound
  | channel | The index of the stared channel

Returns:
  The index of the sound if there is one, -1 if not

virtual MicroTick MCCOMAPI I3DShSoundtrack::GetSoundStartByID | ( | uint32 | ID | ) | `[pure virtual]`

virtual MicroTick MCCOMAPI I3DShSoundtrack::GetSoundStartByIndex | ( | int32 | index | ) | `[pure virtual]`

virtual int32 MCCOMAPI I3DShSoundtrack::GetStaredChannelIDAtIndex | ( | uint32 | index | ) | const`[pure virtual]`

Get the stared channel ID at specific index (the i th stared channel)

Parameters:

  | index | The index of the stared channel

Returns:
  the stared channel ID at specific index (the i th stared channel) or -1 if such a channel does not exist

virtual uint32 MCCOMAPI I3DShSoundtrack::GetStaredChannelsCount | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI I3DShSoundtrack::IntersectsOtherSound | ( | uint32 | ID,
|  | uint32 | channel,
|  | MicroTick | startTime |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI I3DShSoundtrack::IsChannelMuted | ( | uint32 | channelID | ) | const`[pure virtual]`

virtual boolean MCCOMAPI I3DShSoundtrack::IsChannelStared | ( | uint32 | channel | ) | const`[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::MoveSound | ( | uint32 | index,
|  | MicroTick | deltaT |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::MoveSound | ( | uint32 | index,
|  | MicroTick | newTime,
|  | uint32 | newChannel |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::MoveSoundByID | ( | uint32 | ID,
|  | MicroTick | deltaT |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::MoveSoundByID | ( | uint32 | ID,
|  | MicroTick | newTime,
|  | uint32 | newChannel |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::PlaySounds | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::RemoveChannel | ( | uint32 | channel | ) | `[pure virtual]`

virtual int32 MCCOMAPI I3DShSoundtrack::RemoveSound | ( | IShSound * | inSound | ) | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::Reset | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::SetChannelMuted | ( | uint32 | channelID,
|  | boolean | isMuted |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::SetChannelStared | ( | uint32 | channel,
|  | boolean | isStared |
| ) |  |  | `[pure virtual]`

Sets a sound channel as either stared or not stared

Parameters:

  | channel | The ID of the channel to be modified
  | isStared | should the specified channel be stared

virtual void MCCOMAPI I3DShSoundtrack::SetLoop | ( | boolean | isLoop | ) | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::SetMutedChannelList | ( | const TMCArray< uint32 > & | newList | ) | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::SetScene | ( | I3DShScene * | scene | ) | `[pure virtual]`

virtual void MCCOMAPI I3DShSoundtrack::SetSoundCursorByIndex | ( | int32 | index,
|  | MicroTick | inCursor |
| ) |  |  | `[pure virtual]`

Sets the time of the indexed sound's playback cursor

Parameters:

  | index | Index of the sound whose playback cursor we want to set
  | inCursor | Time to set the cursor

virtual void MCCOMAPI I3DShSoundtrack::StopSounds | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DShSoundtrack.h